<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <head>
        <title>Used Vehicles</title>
      </head>
      
      <body background="money.jpg">
        <h1 style="background-color:#446600;
          color:#FFFFFF; font-size:20pt; text-align:center;
          letter-spacing: 12pt">Used Vehicles</h1>
        <table align="center" border="2">
          <tr>
            <th>Year</th>
            <th>Make</th>
            <th>Model</th>
            <th>Mileage</th>
            <th>Color</th>
            <th>Price</th>
          </tr>
          <xsl:apply-templates/>
          <tr style="font-weight:bold">
            <td colspan="3"></td>
            <td colspan="2">Average price:</td>
            <td>
              $<xsl:value-of select="round(sum(vehicles/vehicle/price) div
              count(vehicles/vehicle))"/>
            </td>
          </tr>
        </table>
      </body>
    </html>
  </xsl:template>

  <xsl:template match="vehicles">
      <xsl:apply-templates select="vehicle">
        <xsl:sort select="price" order="descending"/>
      </xsl:apply-templates>
  </xsl:template>

  <xsl:template match="vehicle">
    <xsl:choose>
      <xsl:when test="@model = 'Discovery'">
        <tr style="color:#446600; font-weight:bold">
          <td><xsl:value-of select="@year"/></td>
          <td><xsl:value-of select="@make"/></td>
          <td><xsl:value-of select="@model"/></td>
          <td><xsl:value-of select="mileage"/></td>
          <td><xsl:value-of select="color"/></td>
          <td>$<xsl:value-of select="price"/></td>
        </tr>
      </xsl:when>

      <xsl:otherwise>
        <tr>
          <td><xsl:value-of select="@year"/></td>
          <td><xsl:value-of select="@make"/></td>
          <td><xsl:value-of select="@model"/></td>
          <td><xsl:value-of select="mileage"/></td>
          <td><xsl:value-of select="color"/></td>
          <td>$<xsl:value-of select="price"/></td>
        </tr>
      </xsl:otherwise>
    </xsl:choose>
  </xsl:template>
</xsl:stylesheet>
